Flag _search

post/Flag/_search
Page View

This resource contains a warning or notification about a patient that care teams should be aware of. Flags may indicate a confirmed or suspected infection (e.g., MRSA or suspected COVID-19) or a short, free-text FYI note on the patient's record.

_search

Query for a patient's active or historical flags, as documented by one organization.

Flexible FHIR queries, different query parameters

FHIR® queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a searchset bundle type. Learn about bundles and bundle types in our FHIR® glossary.

We only note which query parameters are required if you’re querying a FHIR® server directly. Remember that Redox (i.e., data on demand) isn’t a FHIR® server, and your connection may not be either.

Query parameters will vary between sites. Work with your connection to find out which query parameters they require for a successful search.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Flag/_search' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'author=string' \
6
--data-urlencode 'category=string' \
7
--data-urlencode 'date=string' \
8
--data-urlencode 'encounter=string' \
9
--data-urlencode 'identifier=string' \
10
--data-urlencode 'patient=string' \
11
--data-urlencode 'patient.identifier=string' \
12
--data-urlencode 'status=string' \
13
--data-urlencode 'subject=string' \
14
--data-urlencode 'subject.identifier=string'

Request Body Schema

  • author
    Array of string

    Returns flags created by this practitioner or organization

  • category
    Array of string

    The category of the flag, such as clinical, administrative, etc.

  • date
    Array of string

    Returns flags active within this time period

  • encounter
    Array of string

    Returns flags raised during this encounter

  • identifier
    Array of string

    Returns flags with this external identifier

  • patient
    Array of string

    The identity of a patient to list flags for.

  • patient.identifier
    Array of string

    One or more external identifiers for the patient

  • status
    Array of string

    active | inactive | entered-in-error

  • subject
    Array of string

    The identity of a subject to list flags for.

  • subject.identifier
    Array of string

    One or more external identifiers for the patient

Response fields and example

Example payload generated from schema
1
{
2
"resourceType": "Bundle",
3
"type": "searchset",
4
"total": 1,
5
"entry": [
6
{
7
"resource": {
8
"resourceType": "Flag",
9
"id": "RedoxFlagExample",
10
"status": "active",
11
"category": [
12
{
13
"coding": [
14
{
15
"code": "safety",
16
"system": "http://terminology.hl7.org/CodeSystem/flag-category",
17
"display": "Safety"
18
}
19
],
20
"text": "Safety"
21
}
22
],
23
"code": {
24
"text": "Fall risk"
25
},
26
"subject": {
27
"reference": "Patient/RedoxPatientExampleTimothy"
28
},
29
"period": {
30
"start": "2019-04-01T17:04:16.605Z"
31
},
32
"encounter": {
33
"reference": "Encounter/RedoxEncounterExample"
34
}
35
},
36
"search": {
37
"mode": "match"
38
}
39
}
40
]
41
}

    Response to a Flag search operation

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Identifies this bundle as a response to a search

    Value: searchset
  • total
    required, number

    The total number of matches

  • entry
    Array of Flag or Other

    A resource matching the search criteria or related to a matching resource

    • resource
      required, object

      A warning or notification of potential issues when providing care to a patient.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: Flag
      • status
        required, string

        Supports basic workflow.

        Possible Values: active, inactive, entered-in-error
      • code
        required, object

        The coded value or textual component of the flag to display to the user.

        • coding
          Array of object

          A reference to a code defined by a terminology system.

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

      • subject
        required, object

        The patient, location, group, organization, or practitioner etc. this is about record this flag is associated with.

        Must be a resource of type Patient.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • id
        string

        The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

      • identifier
        Array of object

        Business identifiers assigned to this flag by the performer or other systems which remain constant as the resource is updated and propagates from server to server.

        • extension
          Array of Boolean, String, CodeableConcept, Coding

          May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

          • url
            required, string

            Source of the definition for the extension code - a logical name or a URL.

          • valueBoolean
            boolean

            A single value for the extension.

        • use
          string

          The purpose of this identifier.

          Possible Values: usual, official, temp, secondary, old (If known)
        • system
          string

          Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

        • value
          string

          The portion of the identifier typically relevant to the user and which is unique within the context of the system.

      • category
        Array of object

        Allows a flag to be divided into different categories like clinical, administrative etc. Intended to be used as a means of filtering which flags are displayed to particular user or in a given context.

        • coding
          Array of object

          A reference to a code defined by a terminology system.

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

      • period
        object

        The period of time from the activation of the flag to inactivation of the flag. If the flag is active, the end of the period should be unspecified.

        • start
          string

          The start of the period. The boundary is inclusive.

        • end
          string

          The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time.

      • encounter
        object

        This alert is only relevant during the encounter.

        Must be a resource of type Encounter.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • author
        object

        The person, organization or device that created the flag.

        Must reference one of the following types of resources:

        • Practitioner
        • Organization
        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

    • search
      required, object

      Information about the search process that lead to the creation of this entry.

      • mode
        required, string

        Identifies the Flag as matching the search parameters

        Value: match

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.